> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/pvif/{id}/details > Get a gateway Public VIF service ## OpenAPI ````json GET /v1/pvif/{id}/details { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/pvif/{id}/details": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "id", "in": "path", "required": true, "description": "Producer service id", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1PvifIdDetailsGetResponse" } } } } }, "description": "Get a gateway Public VIF service" } } }, "components": { "schemas": { "v1PvifIdDetailsGetResponse": { "type": "object", "properties": { "advertiseAllSites": { "type": "boolean", "example": true, "description": "True when consumer scope is all symmetric sites (snapshotted on create and update); false when advertisement lists explicit sites or site lists" }, "advertisement": { "$ref": "#/components/schemas/manaV2SiteInformation" }, "consumerLanSegments": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2PublicVifGatewayConsumerLanDevices" } }, "coveringPrefixes": { "type": "array", "items": { "type": "string", "example": "example string", "description": "Prefixes monitored for this service" } }, "gatewayBgpNeighbors": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2BgpNeighbor" } }, "id": { "type": "integer", "format": "int64", "example": 1234567891011, "description": "Producer service id" }, "lanSegmentId": { "type": "integer", "format": "int64", "example": 1234567891011, "description": "Producer LAN segment (VRF) id" }, "natPrefixStrategy": { "$ref": "#/components/schemas/manaV2PublicVifGatewayNatPrefixStrategy" }, "regionId": { "type": "integer", "format": "int32", "example": 123, "description": "Graphiant region for gateway appliances" }, "serviceName": { "type": "string", "example": "example string", "description": "Service display name" }, "storageProvider": { "type": "string", "example": "ENUM_VALUE", "description": "Storage provider for gateway appliances" } }, "additionalProperties": false }, "manaV2SiteInformation": { "type": "object", "properties": { "siteLists": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "sites": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011 } } }, "additionalProperties": false }, "manaV2PublicVifGatewayConsumerLanDevices": { "type": "object", "properties": { "consumerPrefixes": { "type": "array", "items": { "type": "string", "example": "example string", "description": "Allow prefixes for this consumer LAN; empty means 0.0.0.0/0" } } }, "additionalProperties": false }, "manaV2BgpNeighbor": { "type": "object", "properties": { "addressFamilies": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2BgpNeighborAddressFamily" } }, "allowAsIn": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "asOverride": { "type": "boolean", "example": true }, "bfd": { "$ref": "#/components/schemas/manaV2BfdInstance" }, "bfdNeighbor": { "$ref": "#/components/schemas/manaV2BfdNeighbor" }, "bgpType": { "type": "string", "example": "ENUM_VALUE" }, "defaultOriginate": { "type": "string", "example": "ENUM_VALUE", "description": "Set when default route needs to be advertised in BGP domain" }, "dynamicNeighborPeers": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2BgpDynamicNeighborOperPeer" } }, "enabled": { "type": "boolean", "example": true }, "holdTimer": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "keepaliveTimer": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "localAddress": { "type": "string", "example": "example string" }, "localInterface": { "type": "string", "example": "example string" }, "maxPrefix": { "type": "integer", "format": "int32", "example": 10000, "minimum": 0, "description": "Maximum number of prefixes that can be received from neighbor" }, "md5Password": { "type": "string", "example": "example string" }, "multiHop": { "type": "integer", "format": "int32", "example": 5, "minimum": 0, "description": "Set when EBGP multi-hop functionality is enabled" }, "peerAsn": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "remoteAddress": { "type": "string", "example": "example string" }, "removePrivateAs": { "type": "boolean", "example": true }, "sendCommunity": { "type": "boolean", "example": true, "description": "Flag for sending standard, extended, and large communities" }, "state": { "type": "string", "example": "ENUM_VALUE" }, "timeSinceLastOperChange": { "$ref": "#/components/schemas/googleProtobufDuration" }, "up": { "type": "boolean", "example": true } }, "additionalProperties": false }, "manaV2PublicVifGatewayNatPrefixStrategy": { "type": "object", "properties": { "centralized": { "$ref": "#/components/schemas/manaV2PublicVifGatewayCentralizedNat" }, "decentralized": { "$ref": "#/components/schemas/manaV2PublicVifGatewayDecentralizedPrefixes" } }, "additionalProperties": false }, "manaV2BgpNeighborAddressFamily": { "type": "object", "properties": { "addressFamily": { "type": "string", "example": "ENUM_VALUE" }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "inboundPolicy": { "type": "string", "example": "example string" }, "outboundPolicy": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2BfdInstance": { "type": "object", "properties": { "enabled": { "type": "boolean", "example": true }, "minimumInterval": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "multiplier": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2BfdNeighbor": { "type": "object", "properties": { "desiredMinimumTxInterval": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "ifIndex": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "interface": { "type": "string", "example": "example string" }, "lastUpdated": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "localDiag": { "type": "string", "example": "ENUM_VALUE" }, "peerAddress": { "type": "string", "example": "example string" }, "remoteDiag": { "type": "string", "example": "ENUM_VALUE" }, "requiredMinimumRxInterval": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "segmentName": { "type": "string", "example": "example string" }, "sourceAddress": { "type": "string", "example": "example string" }, "state": { "type": "string", "example": "ENUM_VALUE" }, "timeInState": { "$ref": "#/components/schemas/googleProtobufDuration" }, "up": { "type": "boolean", "example": true } }, "additionalProperties": false }, "manaV2BgpDynamicNeighborOperPeer": { "type": "object", "properties": { "lastOperStatusChange": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "localAddress": { "type": "string", "example": "example string", "description": "Local address used for this peer session, if known from oper" }, "operStatus": { "type": "boolean", "example": true, "description": "True when the BGP session to this peer is operationally up (e.g. established)" }, "peerAsn": { "type": "integer", "format": "int32", "example": 123, "minimum": 0, "description": "Peer ASN from oper, if reported" }, "remoteAddress": { "type": "string", "example": "example string", "description": "Peer address from device oper state (IPv4/IPv6; may include IPv6 zone id)" }, "state": { "type": "string", "example": "ENUM_VALUE", "description": "BGP FSM state for this peer session" } }, "additionalProperties": false }, "googleProtobufDuration": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "manaV2PublicVifGatewayCentralizedNat": { "type": "object", "properties": { "consumerPrefix": { "type": "object", "additionalProperties": { "type": "string", "example": "example string" } } }, "additionalProperties": false, "required": [ "consumerPrefix" ] }, "manaV2PublicVifGatewayDecentralizedPrefixes": { "type": "object", "properties": { "prefixes": { "type": "object", "additionalProperties": { "type": "string", "example": "example string" } } }, "additionalProperties": false, "required": [ "prefixes" ] }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````